#!/usr/bin/env cwl-runner

cwlVersion: v1.2

class: ExpressionTool

requirements:
  InlineJavascriptRequirement: {}

inputs:
  - id: path_arr
    type:
      type: array
      items:
        type: enum
        symbols:
          - _
          - _usr
          - _usr_local

outputs:
  - id: path_s
    type: string

expression: |
  ${ return {"path_s": inputs.path_arr.map(function(s) { return s.replace(/_/g, "/") + "/bin"; }).join(":") }; }
