#!/usr/bin/env cwl-runner

cwlVersion: v1.2

class: Workflow

inputs:
  - id: inpath
    type:
      type: array
      items:
        type: enum
        symbols:
          - _
          - _usr
          - _usr_local

outputs:
  - id: outpath
    type: string
    outputSource: mkpath/path_s

steps:
  - id: mkpath
    run: buildpathv2.cwl
    in:
      - id: path_arr
        source: inpath
    out:
      - id: path_s
